{ pkgs, config, ... }: {
  services.frappe = {
    enable = true;
    project = "frappe";

    package = pkgs.frappix.frappe;

    apps = [
      pkgs.frappix.erpnext
      pkgs.frappix.wiki
    ];

    sites."frappe.clicks.codes" = {
      domains = [
        "frappe.clicks.codes"
      ];

      apps = [
        "frappe"
        "wiki"
        "erpnext"
      ];
    };

    adminPassword = config.sops.secrets."modules/common/frappe.nix:adminPassword".path;

    gunicorn_workers = 9;
  };

  services.nginx.virtualHosts."frappe.clicks.codes" = {
    enableACME = true;
  };

  sops.secrets."modules/common/frappe.nix:adminPassword" = {
    mode = "0400";
    owner = config.users.users.root.name;
    group = config.users.users.root.group;
    sopsFile = ../../secrets/frappe.json;
    format = "json";
    key = "adminPassword";
  };
}
